org.firstinspires.ftc.robotcore.external

## Interface Telemetry.Line

- Enclosing interface:
    Telemetry

      public static interface Telemetry.Line

  Instances of `Telemetry.Line` build lines of data on the driver station telemetry display.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `<T> Telemetry.Item` | `addData(java.lang.String caption, Func<T> valueProducer)` Adds a new data item at the end of the line which is the receiver.
    `Telemetry.Item` | `addData(java.lang.String caption, java.lang.Object value)` Adds a new data item at the end of the line which is the receiver.
    `<T> Telemetry.Item` | `addData(java.lang.String caption, java.lang.String format, Func<T> valueProducer)` Adds a new data item at the end of the line which is the receiver.
    `Telemetry.Item` | `addData(java.lang.String caption, java.lang.String format, java.lang.Object... args)` Adds a new data item at the end of the line which is the receiver.

- - ### Method Detail

    - #### addData

          Telemetry.Item addData(java.lang.String caption,
                                 java.lang.String format,
                                 java.lang.Object... args)

      Adds a new data item at the end of the line which is the receiver.
      See Also:
        `Telemetry.addData(String, String, Object...)`

    - #### addData

          Telemetry.Item addData(java.lang.String caption,
                                 java.lang.Object value)

      Adds a new data item at the end of the line which is the receiver.
      See Also:
        `Telemetry.addData(String, Object)`

    - #### addData

          <T> Telemetry.Item addData(java.lang.String caption,
                                     Func<T> valueProducer)

      Adds a new data item at the end of the line which is the receiver.
      See Also:
        `Telemetry.addData(String, Func)`

    - #### addData

          <T> Telemetry.Item addData(java.lang.String caption,
                                     java.lang.String format,
                                     Func<T> valueProducer)

      Adds a new data item at the end of the line which is the receiver.
      See Also:
        `Telemetry.addData(String, String, Func)`